Subject: Re: bug#16345: 24.3; url-http sometimes closes connection prematurely

From: James Stout <[email-masked]>
Date: Sun, 27 Dec 2015 15:28:32 -0800

I'm suggesting the following change:

Before: (if (re-search-forward "^\r*$" nil t) (url-http-debug "Saw end of
trailers..."))
After: (if (re-search-forward "^\r?\n" nil t) (url-http-debug "Saw end of
trailers..."))

This is based purely on my reading of the spec; this wasn't actually a
problem I ran into (and it's just going to affect a debug message).

On Fri, Dec 25, 2015 at 12:38 PM, Lars Ingebrigtsen <[email-masked]> wrote:

> James Stout <[email-masked]> writes:
>
> > Yep, that fix works for me, thanks! Next time I'll be sure to check
> resolved bugs (I only checked open ones) and the source code trunk.
> >
> > I did notice that only one instance of the regular expression was
> changed. I'm not using chunked encoding with trailers, so it's hard for
> > me to verify whether this indeed is a bug, but I think this line also
> needs to be fixed:
> >
> http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/lisp/url/url-http.el#L1037
>
> Could you send a fix for the line in question?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>